package com.nosum;

import com.nosum.system.init.ConfigApplicationContextInitializer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Author:sumbytes
 * @Date:2018/09/27 12:52
 */
@EnableScheduling
@SpringBootApplication
public class DeliverApplication {
    public static void main(String[] args) {
        SpringApplication springApplication = new SpringApplication(DeliverApplication.class);
        springApplication.addInitializers(new ConfigApplicationContextInitializer());
        springApplication.run(args);
    }
}
