package com.nosum.deliver.posts.domain.vo;


import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class PostsStatisticsVO {

    /**
     * 评论总数
     */
    Integer commentsTotal;

    /**
     * 点赞总数，暂未启用
     */
    Integer favorsTotal;

    /**
     * 观看总数
     */
    Integer viewsTotal;

    /**
     * 文章总数
     */
    Integer articleTotal;
}
